//+------------------------------------------------------------------+
//|                                                   RSI ARROWS.mq4 |
//|                                Copyright  2014, Anthony Wratten |
//|                                                         Ver. 1.0 |
//+------------------------------------------------------------------+
#property copyright "Copyright  2014, Anthony Wratten"
#property link      ""

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Red //C'203,152,50'
#property indicator_color2 Green //C'34,42,56'
//---- input parameters
extern int RSIperiod = 14;
extern int BuyLevel = 30; //RSIlow
extern int SellLevel = 70; //RSIhigh
//extern double LotSize = 0.01;



//---- buffers
double ExtUpArrowBuffer[];
double ExtDownArrowBuffer[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicator buffers mapping  
    SetIndexBuffer(0,ExtUpArrowBuffer);
    SetIndexBuffer(1,ExtDownArrowBuffer);   
//---- drawing settings
    SetIndexStyle(0,DRAW_ARROW);
    SetIndexArrow(0,233);
    SetIndexStyle(1,DRAW_ARROW);
    SetIndexArrow(1,234);
//----
    SetIndexEmptyValue(0,0.0);
    SetIndexEmptyValue(1,0.0);
//---- name for DataWindow
    SetIndexLabel(0,"Arrow Up");
    SetIndexLabel(1,"Arrow Down");
//---- initialization done   
   return(0);
  }
//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//---- TODO: add your code here
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
  int shift;
  bool upper = False;
  bool lower = False;
     
     for (shift=2000;shift>=0;shift--)
   {
  
          if (iRSI(NULL,0,RSIperiod,PRICE_CLOSE,shift) < BuyLevel && lower==False)
               {
               ExtUpArrowBuffer[shift]=Low[shift]-0.001;
               lower = true;
               //buy here
               }
               if (iRSI(NULL,0,RSIperiod,PRICE_CLOSE,shift)>BuyLevel && lower==True)
                     {
                     lower = false;
                     }

          if (iRSI(NULL,0,RSIperiod,PRICE_CLOSE,shift) > SellLevel && upper==False)
               {
               ExtDownArrowBuffer[shift]=High[shift]+0.001;
               upper=true;
               //close here
               }
               if (iRSI(NULL,0,RSIperiod,PRICE_CLOSE,shift)<SellLevel && upper==True)
                     {
                     upper = false;
                     }
  
   }
  return(0);
  }